class SessionsController < ApplicationController
  def index
    @conference = Conference.find_by(slug: params[:conference_slug])
    @sessions = @conference.sessions.includes(:stage).order(:starts_at)

    # Filter by date if provided
    if params[:date].present?
      date = Date.parse(params[:date])
      @sessions = @sessions.where(starts_at: date.beginning_of_day..date.end_of_day)
    end

    # Filter by stage name if provided
    if params[:stage].present?
      @sessions = @sessions.joins(:stage).where(stages: { name: params[:stage] })
    end

    # Further filtering options can be added here
  end

  def show
    @conference = Conference.find_by(slug: params[:slug])
    @session = Session.includes(:stage).find_by(conference: @conference, ref_id: params[:ref_id])
    @users = User.all
  end
end
